package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 文件基本信息表对象 doc_info
 *
 * @author wukai
 * @date 2023-08-21
 */
@Data
@ApiModel(value = "DocInfo", description = "文件基本信息表")
public class DocInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    @TableId
    private Long docId;

    /**
     * 空间ID
     */
    @ApiModelProperty("空间ID")
    private Long spaceId;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    private Long dirId;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String fileName;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    private String fileId;

    /**
     * 文件大小
     */
    @ApiModelProperty("文件大小")
    private Long fileSize;

    /**
     * 文件类型
     */
    @ApiModelProperty("文件类型")
    private String fileType;
    @ApiModelProperty("是否收藏 Y/N")
    private String isFavorite;

    @ApiModelProperty("是否协作文件")
    @TableField(exist = false)
    private String isActor;

    @ApiModelProperty("是否归档")
    @TableField(exist = false)
    private String isFiled;

    @ApiModelProperty("归档时间")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    @TableField(exist = false)
    private Date filedTime;
}
