package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocRecent;

import java.util.List;

/**
 * 最近文件Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocRecentMapper extends BaseMapper<DocRecent> {
    /**
     * 查询最近文件
     *
     * @param recentId 最近文件主键
     * @return 最近文件
     */
    public DocRecent selectDocRecentByRecentId(Long recentId);

    /**
     * 查询最近文件列表
     *
     * @param docRecent 最近文件
     * @return 最近文件集合
     */
    public List<DocRecent> selectDocRecentList(DocRecent docRecent);

    /**
     * 新增最近文件
     *
     * @param docRecent 最近文件
     * @return 结果
     */
    public int insertDocRecent(DocRecent docRecent);

    /**
     * 修改最近文件
     *
     * @param docRecent 最近文件
     * @return 结果
     */
    public int updateDocRecent(DocRecent docRecent);

    /**
     * 删除最近文件
     *
     * @param recentId 最近文件主键
     * @return 结果
     */
    public int deleteDocRecentByRecentId(Long recentId);

    /**
     * 批量删除最近文件
     *
     * @param recentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocRecentByRecentIds(Long[] recentIds);
}
