package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocShare;

import java.util.List;

/**
 * 文档分享Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocShareMapper extends BaseMapper<DocShare> {
    /**
     * 查询文档分享
     *
     * @param shareId 文档分享主键
     * @return 文档分享
     */
    public DocShare selectDocShareByShareId(Long shareId);

    /**
     * 查询文档分享列表
     *
     * @param docShare 文档分享
     * @return 文档分享集合
     */
    public List<DocShare> selectDocShareList(DocShare docShare);

    /**
     * 新增文档分享
     *
     * @param docShare 文档分享
     * @return 结果
     */
    public int insertDocShare(DocShare docShare);

    /**
     * 修改文档分享
     *
     * @param docShare 文档分享
     * @return 结果
     */
    public int updateDocShare(DocShare docShare);

    /**
     * 删除文档分享
     *
     * @param shareId 文档分享主键
     * @return 结果
     */
    public int deleteDocShareByShareId(Long shareId);

    /**
     * 批量删除文档分享
     *
     * @param shareIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocShareByShareIds(Long[] shareIds);
}
