package com.doc.biz.service;

import com.doc.biz.domain.DocRecent;

import java.util.List;

/**
 * 最近文件Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocRecentService {
    /**
     * 查询最近文件
     *
     * @param recentId 最近文件主键
     * @return 最近文件
     */
    public DocRecent selectDocRecentByRecentId(Long recentId);

    /**
     * 查询最近文件列表
     *
     * @param docRecent 最近文件
     * @return 最近文件集合
     */
    public List<DocRecent> selectDocRecentList(DocRecent docRecent);

    /**
     * 新增最近文件
     *
     * @param docRecent 最近文件
     * @return 结果
     */
    public int insertDocRecent(DocRecent docRecent);
    /**
     * 新增最近文件
     *
     * @param docRecent 最近文件
     * @return 结果
     */
    /**
     * @param uid    用户ID
     * @param fileId 文件ID
     * @return
     */
    public int insertDocRecent(Long uid, String fileId);

    /**
     * 修改最近文件
     *
     * @param docRecent 最近文件
     * @return 结果
     */
    public int updateDocRecent(DocRecent docRecent);

    /**
     * 批量删除最近文件
     *
     * @param recentIds 需要删除的最近文件主键集合
     * @return 结果
     */
    public int deleteDocRecentByRecentIds(Long[] recentIds);

    /**
     * 删除最近文件信息
     *
     * @param recentId 最近文件主键
     * @return 结果
     */
    public int deleteDocRecentByRecentId(Long recentId);
}
