package com.doc.biz.service;

import com.doc.biz.domain.EsDocInfo;
import org.springframework.data.domain.Pageable;
import org.springframework.data.elasticsearch.annotations.Highlight;
import org.springframework.data.elasticsearch.annotations.HighlightField;
import org.springframework.data.elasticsearch.core.SearchHit;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

import java.util.List;


/**
 * @author wukai
 */
public interface IEsDocInfoService extends ElasticsearchRepository<EsDocInfo, Long> {

    /**
     * 模糊查询content
     *
     * @param content  查询内容
     * @param pageable 分页参数
     * @return
     */
    @Highlight(fields = {
            @HighlightField(name = "content")
    })
    List<SearchHit<EsDocInfo>> findByContent(String content, Pageable pageable);

    /**
     * 模糊查询content
     *
     * @param content
     * @return
     */
    @Highlight(fields = {
            @HighlightField(name = "content")
    })
    List<SearchHit<EsDocInfo>> findByContent(String content);
}