package com.doc.system.mapper;

import com.doc.system.domain.SysOperLog;
import com.doc.system.domain.vo.LogCalcVO;

import java.util.List;
import java.util.Map;

/**
 * 操作日志 数据层
 *
 * @author ruoyi
 */
public interface SysOperLogMapper {
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertOperlog(SysOperLog operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLog> selectOperLogList(SysOperLog operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    /**
     * 统计
     *
     * @param operLog
     * @return
     */
    List<LogCalcVO> selectOperLogCalc(SysOperLog operLog);


    /**
     * 查询按类型统计数据
     *
     * @param operLog input
     * @return 结果集
     */
    List<Map<String, Object>> selectTypeCalc(SysOperLog operLog);

    /**
     * 查询按时间统计数据
     *
     * @param operLog input
     * @return 结果集
     */
    List<Map<String, Object>> selectTimeCalc(SysOperLog operLog);
}
